org.eclipse.actf.util.vocab

## Interface IOperator1

All Superinterfaces:
  IProposition

    public interface IOperator1
    extends IProposition

IOperator1 interface defines the methods to be implemented by the operator which has an argument. For example, "not operator".

### Method Summary

Methods
`IProposition` `getProposition()`
`void` `setProposition(IProposition prop)`

### Methods inherited from interface org.eclipse.actf.util.vocab.IProposition

`eval, getName`

### Method Detail

#### getProposition

    IProposition getProposition()

Returns:
  the proposition to be used for argument of the operator.

#### setProposition

    void setProposition(IProposition prop)

Parameters:
  `prop` - the proposition to be used for argument of the operator.